For the complete documentation index, see llms.txt. This page is also available as Markdown.

Withdraw or deposit cash at cashdrawer

Withdraw or deposit cash at cashdrawer

Required permissions: TILL_OPERATION

post
/tenants/{tenantUid}/stores/{storeUid}/tills/{tillUid}/cashreports/{cashreportUid}/withdrawals
Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
storeUidstringRequired

Reference to a Store.

Pattern: ^[A-Za-z0-9-_]+
tillUidstringRequired

Reference to a till.

Pattern: ^[A-Za-z0-9-_]+
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
cashreportUidstringRequired

Reference to a cashreport.

Pattern: ^[A-Za-z0-9-_]+
Body
amountintegerRequired
commentstringRequired
Responses
200

OK

No content

post/tenants/{tenantUid}/stores/{storeUid}/tills/{tillUid}/cashreports/{cashreportUid}/withdrawals
POST /v2/tenants/{tenantUid}/stores/{storeUid}/tills/{tillUid}/cashreports/{cashreportUid}/withdrawals HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 29

{
  "amount": 1,
  "comment": "text"
}
200

OK

No content

Last updated

Was this helpful?